/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.webdav.internal.kernel.utils;

import java.util.NoSuchElementException;

public class EmptyEnumeration extends EnumerationFilter {
	public EmptyEnumeration() {
		super();
	}

	/**
	 * @see #hasMoreElements()
	 */
	public boolean hasMoreElements() {
		return false;
	}

	/**
	 * @see #nextElement()
	 */
	public Object nextElement() {
		throw new NoSuchElementException();
	}
}